- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnRadialField Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for Radial Fields.

Function set for creation, edit, and query of Radial Fields.

A radial field pushes objects directly away or pulls them directly toward itself, like a magnet.

`#include <MFnRadialField.h>`

Inheritance diagram for MFnRadialField:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnRadialField ()
| Destructor.
| MFnRadialField ()
| Default constructor.
| MFnRadialField (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnRadialField (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
double | radialType (MStatus *ReturnStatus=NULL) const
| Returns a type that controls the way the radial field is attenuated.
MStatus | setType (double value)
| Sets a radial field type that controls the way the field is attenuated.
| MFnRadialField (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

~MFnRadialField | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnRadialField | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnRadialField | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnRadialField | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kRadial.

Reimplemented from MFnField.

double radialType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns a type that controls the way the radial field is attenuated.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  - A value representing a type of radial field attenuation.
  - A value of 1 uses the magnitude, attenuation, and distance settings from the field to determine the net force of the radial field.
  - A value of 0 will use the ratio of the absolute distance and the maximum distance setting.
  - A value between 0 and 1 will create a linear blend between the two types.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setType | ( | double | value | ) |

Search for all occurrences

Sets a radial field type that controls the way the field is attenuated.

Parameters:

  [in] | value | A value representing a type of radial field attenuation. A value of 1 uses the magnitude, attenuation, and distance settings from the field to determine the net force of the radial field. A value of 0 will use the ratio of the absolute distance and the maximum distance setting. A value between 0 and 1 will create a linear blend between the two types.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField
MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField MFnRadialField